﻿using Android.App;
using Android.Widget;
using Android.OS;
using Android.Content;
using Java.IO;
using Xamarin.Forms;
using System;
using System.IO;
using Syncfusion.Pdf;
using Syncfusion.Pdf.Graphics;
using Syncfusion.Drawing;
using Syncfusion.Pdf.Grid;

namespace PDFAndroidSample
{
    [Activity(Label = "PDFAndroidSample", MainLauncher = true, Icon = "@drawable/icon")]
    public class MainActivity : Activity
    {
        protected override void OnCreate(Bundle bundle)
        {
            base.OnCreate(bundle);

            // Set our view from the "main" layout resource
            // SetContentView (Resource.Layout.Main);

            LinearLayout linear = new LinearLayout(this);
            linear.SetBackgroundColor(Android.Graphics.Color.White);
            linear.Orientation = Orientation.Vertical;
            linear.SetPadding(10, 10, 10, 10);

            Android.Widget.Button button1 = new Android.Widget.Button(this);
            button1.Text = "Generate PDF";
            button1.Click += OnButtonClicked;
            linear.AddView(button1);
            SetContentView(linear);
        }
        void OnButtonClicked(object sender, EventArgs e)
        {

            PdfDocument document = new PdfDocument();

            PdfPage Page = document.Pages.Add();

            //Create a PdfGrid.
            PdfGrid grid = new PdfGrid();

            grid.Columns.Add(3);

            //Add header.
            grid.Headers.Add(1);
            PdfGridRow pdfGridHeader = grid.Headers[0];
            pdfGridHeader.Cells[0].Value = "Employee ID";
            pdfGridHeader.Cells[1].Value = "Employee Name";
            pdfGridHeader.Cells[2].Value = "Salary";



            for (int i = 1; i <= 10; ++i)
            {
                string str = "$" + i * 100;
                //Add rows. 
                PdfGridRow row = grid.Rows.Add();
                row.Cells[0].Value = "E01" + i;
                row.Cells[1].Value = "John #" + i;
                row.Cells[2].Value = str;

            }
            //Draw the PdfGrid.
            var pos = grid.Draw(Page, new PointF(0, 10));
            MemoryStream stream = new MemoryStream();
            doc.Save(stream);
            doc.Close(true);

            if (stream != null)
            {
                SaveAndroid androidSave = new SaveAndroid();
                androidSave.Save("Androidoutput.pdf", "application/pdf", stream, this);
            }
        }

      
    }
}

